﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SelectedDateAndAppointments
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page, INotifyPropertyChanged
    {

        ObservableCollection<ResourceType> _resourceCollection;
        public ObservableCollection<ResourceType> ResourceCollection
        {
            get { return _resourceCollection; }
            set
            {
                _resourceCollection = value;
                OnPropertyChanged("ResourceCollection");//to listned the property changed
            }
        }

        public MainPage()
        {

            this.InitializeComponent();
            this.DataContext = this;
            ObservableCollection<ResourceType> ResColl = new ObservableCollection<ResourceType>();
            ResourceType type1 = new ResourceType() { TypeName = "Doctor1" };
            type1.ResourceCollection.Add(new Resource() { DisplayName = "Dr.John", TypeName = "Doctor1" });
            type1.ResourceCollection.Add(new Resource() { DisplayName = "Dr.Mercy", TypeName = "Doctor1" });

            ResourceType type2 = new ResourceType() { TypeName = "Doctor2" };
            type2.ResourceCollection.Add(new Resource() { DisplayName = "Dr.Johny", TypeName = "Doctor2" });
            type2.ResourceCollection.Add(new Resource() { DisplayName = "Dr.Mark", TypeName = "Doctor2" });
            ResColl.Add(type1);
            ResColl.Add(type2);
            ResourceCollection = ResColl;

            Binding resourceBind = new Binding();
            resourceBind.Source = Resource_Combo;
            resourceBind.Path = new PropertyPath("SelectedItem");
            resourceBind.Mode = BindingMode.TwoWay;
            BindingOperations.SetBinding(this.Schedule1, SfSchedule.ResourceProperty, resourceBind);

        }


        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            var eventHandler = PropertyChanged;
            if (eventHandler != null)
            {
                eventHandler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
